/*
 * 作成日: 2005/11/08
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package aji;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
//import org.eclipse.swt.graphics.Font;
//import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
//import org.eclipse.swt.graphics.*;




/**
 * @author Kazuya
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
//その他検索
public class SearchEtc{
	Composite comp;
	private Label label,label2;
	private Text text;
	Singleton instance = Singleton.getInstance();
	public SearchEtc(){
		
	}
	public void visiWin(){
		comp.setVisible(false);
	}
	public void make_SearchEtc(){
		comp = new Composite(instance.getShell(), SWT.NONE);
		comp.setSize(800,535);
		
		label = new Label(comp,SWT.NONE);
		label.setText("カロリー:");
		label.setBounds(0,0,50,30);
		
	    text = new Text(comp, SWT.MULTI|SWT.BORDER);
	    text.setBounds(50, 0, 100, 20);
	    text.setFocus();

	    
	    label2 = new Label(comp, SWT.LEFT|SWT.BORDER);
	    label2.setBounds(10, 30, 150, 20);

	    Button btn = new Button(comp, SWT.PUSH);
	    btn.setBounds(160, 0, 100, 30);
	    btn.setText("カロリー検索");
	    btn.addSelectionListener(new MyListener());
	}
	class MyListener implements SelectionListener{
		public void widgetDefaultSelected(SelectionEvent e) {
	    }

	    public void widgetSelected(SelectionEvent e){
	    	//label.setText(text.getText());
	    	char check;
	    	boolean bo=false;
	    	String str = text.getText();
	    	if(str.length() != 0){
		    	for(int i = 0; i < str.length(); i++){
		    		check = str.charAt(i);
		    		if(Character.isDigit(check) == false){
		    			label2.setText("数字を入力してください");
		    			break;
		    		}else{
		    			bo = true;
		    		}
		    	}
	    	}else{
	    		label2.setText("数字を入力してください");
	    	}
	    	if (bo == true){
	    		System.out.println(str);
	    		visiWin();
	    		new SearchEtcList().make_SearchNameList();
	    		
	    	}
	    }
	}
}
